#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Plugins.Extensions.OpenWebif.local import tstrings

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1480564690.31377
__CHEETAH_genTimestamp__ = 'Thu Dec  1 03:58:10 2016'
__CHEETAH_src__ = '/home/jenkins/pli/openpli-oe-core/build/tmp/work/dm520-oe-linux/enigma2-plugin-extensions-openwebif/1+gitAUTOINC+e7003bd46b-r1/git/plugin/controllers/views/ajax/boxinfo.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Dec  1 03:58:08 2016'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class boxinfo(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(boxinfo, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<!-- box_info -->
<div id="content_main" class="ui-widget-content">
\t<div id="info">
\t\t<h3 class="ui-widget-header">''')
        _v = VFFSL(SL,"tstrings",True)['box_info'] # u"$tstrings['box_info']" on line 5, col 32
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['box_info']")) # from line 5, col 32.
        write(u'''</h3>
\t\t<hr />
\t\t<img src="images/boxes/''')
        _v = VFFSL(SL,"boximage",True) # u'${boximage}' on line 7, col 26
        if _v is not None: write(_filter(_v, rawExpr=u'${boximage}')) # from line 7, col 26.
        write(u'''" id="box_image" alt="box_info">
\t\t<hr />
\t\t<br/>
\t\t<table width="100%">
\t\t\t<tr>
\t\t\t\t<td width="100%">
\t\t\t\t\t<table cellspacing="0" class="infomain ui-widget-content" >
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<th colspan="2" class="ui-widget-header">''')
        _v = VFFSL(SL,"tstrings",True)['box'] # u"$tstrings['box']" on line 15, col 49
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['box']")) # from line 15, col 49.
        write(u'''</th>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['brand'] # u"$tstrings['brand']" on line 18, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['brand']")) # from line 18, col 29.
        write(u''' & ''')
        _v = VFFSL(SL,"tstrings",True)['model'] # u"$tstrings['model']" on line 18, col 50
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['model']")) # from line 18, col 50.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"brand",True) # u'$brand' on line 19, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$brand')) # from line 19, col 30.
        write(u''' ''')
        _v = VFFSL(SL,"model",True) # u'$model' on line 19, col 37
        if _v is not None: write(_filter(_v, rawExpr=u'$model')) # from line 19, col 37.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"friendlychipsetdescription",True) # u'$friendlychipsetdescription' on line 22, col 29
        if _v is not None: write(_filter(_v, rawExpr=u'$friendlychipsetdescription')) # from line 22, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"friendlychipsettext",True) # u'$friendlychipsettext' on line 23, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$friendlychipsettext')) # from line 23, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['main_memory'] # u"$tstrings['main_memory']" on line 26, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['main_memory']")) # from line 26, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"mem3",True) # u'$mem3' on line 27, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$mem3')) # from line 27, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['box_uptime'] # u"$tstrings['box_uptime']" on line 30, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['box_uptime']")) # from line 30, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"uptime",True) # u'$uptime' on line 31, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$uptime')) # from line 31, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t</table>
\t\t\t\t</td>
\t\t\t</tr>
\t\t\t<tr>
\t\t\t\t<td width="100%">
\t\t\t\t\t<table cellspacing="0" class="infomain ui-widget-content" >
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<th colspan="2" class="ui-widget-header">''')
        _v = VFFSL(SL,"tstrings",True)['software'] # u"$tstrings['software']" on line 40, col 49
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['software']")) # from line 40, col 49.
        write(u'''</th>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['oe_version'] # u"$tstrings['oe_version']" on line 43, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['oe_version']")) # from line 43, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"oever",True) # u'$oever' on line 44, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$oever')) # from line 44, col 30.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['firmware_version'] # u"$tstrings['firmware_version']" on line 47, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['firmware_version']")) # from line 47, col 29.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"friendlyimagedistro",True) # u'$friendlyimagedistro' on line 48, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$friendlyimagedistro')) # from line 48, col 30.
        write(u''' ''')
        _v = VFFSL(SL,"imagever",True) # u'$imagever' on line 48, col 51
        if _v is not None: write(_filter(_v, rawExpr=u'$imagever')) # from line 48, col 51.
        write(u''' (''')
        _v = VFFSL(SL,"enigmaver",True) # u'$enigmaver' on line 48, col 62
        if _v is not None: write(_filter(_v, rawExpr=u'$enigmaver')) # from line 48, col 62.
        write(u''')</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
        _v = VFFSL(SL,"tstrings",True)['kernel_version'] # u"$tstrings['kernel_version']" on line 51, col 29
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['kernel_version']")) # from line 51, col 29.
        write(u''' / ''')
        _v = VFFSL(SL,"tstrings",True)['driver_date'] # u"$tstrings['driver_date']" on line 51, col 59
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['driver_date']")) # from line 51, col 59.
        write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
        _v = VFFSL(SL,"kernelver",True) # u'$kernelver' on line 52, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$kernelver')) # from line 52, col 30.
        write(u''' / ''')
        _v = VFFSL(SL,"driverdate",True) # u'$driverdate' on line 52, col 43
        if _v is not None: write(_filter(_v, rawExpr=u'$driverdate')) # from line 52, col 43.
        write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t</table>
\t\t\t\t</td>
\t\t\t</tr>
\t\t\t<tr>
\t\t\t\t<td width="100%">
\t\t\t\t\t<table cellspacing="0" class="infomain ui-widget-content" >
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<th colspan="2" class="ui-widget-header">''')
        _v = VFFSL(SL,"tstrings",True)['tuners'] # u"$tstrings['tuners']" on line 61, col 49
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['tuners']")) # from line 61, col 49.
        write(u'''</th>
\t\t\t\t\t\t</tr>
''')
        for tuner in VFFSL(SL,"tuners",True): # generated from line 63, col 7
            write(u'''\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft" style="vertical-align:text-top;">''')
            _v = VFFSL(SL,"tuner.name",True) # u'$tuner.name' on line 65, col 62
            if _v is not None: write(_filter(_v, rawExpr=u'$tuner.name')) # from line 65, col 62.
            write(u'''</td>
\t\t\t\t\t\t\t<td class="inforight">
\t\t\t\t\t\t\t\t''')
            _v = VFFSL(SL,"tuner.type",True) # u'$tuner.type' on line 67, col 9
            if _v is not None: write(_filter(_v, rawExpr=u'$tuner.type')) # from line 67, col 9.
            write(u'''<br>
''')
            if VFFSL(SL,"tuner.live",True) != '': # generated from line 68, col 10
                write(u"""\t\t\t\t\t\t\t\t\t\t<div class='tled-box'><div class='tled green'></div></div>""")
                _v = VFFSL(SL,"tuner.live",True) # u'$tuner.live' on line 69, col 69
                if _v is not None: write(_filter(_v, rawExpr=u'$tuner.live')) # from line 69, col 69.
                write(u'''<br>
''')
            if VFFSL(SL,"tuner.rec",True) != '': # generated from line 71, col 10
                write(u"""\t\t\t\t\t\t\t\t\t\t<div class='tled-box'><div class='tled red'></div></div>""")
                _v = VFFSL(SL,"tuner.rec",True) # u'$tuner.rec' on line 72, col 67
                if _v is not None: write(_filter(_v, rawExpr=u'$tuner.rec')) # from line 72, col 67.
                write(u'''<br>
''')
            write(u'''\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t</tr>
''')
        if VFFSL(SL,"EX",True) != '': # generated from line 78, col 7
            write(u'''\t\t\t\t\t\t<tr><td colspan="2">''')
            _v = VFFSL(SL,"EX",True) # u'$EX' on line 79, col 27
            if _v is not None: write(_filter(_v, rawExpr=u'$EX')) # from line 79, col 27.
            write(u'''</td></tr>
''')
        write(u'''<!--\t\t\t\t\t<tr><td colspan="2">
\t\t\t\t\t\t<div class=\'tled-box\'><div class=\'tled black\'></div></div>free
\t\t\t\t\t\t<div class=\'tled-box\'><div class=\'tled green\'></div></div>Live
\t\t\t\t\t\t<div class=\'tled-box\'><div class=\'tled red\'></div></div>Record or Stream
\t\t\t\t\t\t<div class=\'tled-box\'><div class=\'tled orange\'></div></div>Record or Stream and Live
\t\t\t\t\t\t</td></tr>-->
\t\t\t\t\t</table>
\t\t\t\t</td>
\t\t\t</tr>
''')
        for hd in VFFSL(SL,"hdd",True): # generated from line 90, col 4
            write(u'''\t\t\t<tr>
\t\t\t\t<td width="100%">
\t\t\t\t\t<table cellspacing="0" class="infomain ui-widget-content" >
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<th colspan="2" class="ui-widget-header">''')
            _v = VFFSL(SL,"tstrings",True)['hdd_model'] # u"$tstrings['hdd_model']" on line 95, col 49
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['hdd_model']")) # from line 95, col 49.
            write(u''': ''')
            _v = VFFSL(SL,"hd.model",True) # u'$hd.model' on line 95, col 73
            if _v is not None: write(_filter(_v, rawExpr=u'$hd.model')) # from line 95, col 73.
            write(u'''</th>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
            _v = VFFSL(SL,"tstrings",True)['capacity'] # u"$tstrings['capacity']" on line 98, col 29
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['capacity']")) # from line 98, col 29.
            write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
            _v = VFFSL(SL,"hd.friendlycapacity",True) # u'$hd.friendlycapacity' on line 99, col 30
            if _v is not None: write(_filter(_v, rawExpr=u'$hd.friendlycapacity')) # from line 99, col 30.
            write(u''' (''')
            _v = VFFSL(SL,"hd.mount",True) # u'$hd.mount' on line 99, col 52
            if _v is not None: write(_filter(_v, rawExpr=u'$hd.mount')) # from line 99, col 52.
            write(u''')</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t</table>
\t\t\t\t</td>
\t\t\t</tr>
''')
        if VFFSL(SL,"shares",True): # generated from line 105, col 4
            write(u'''\t\t\t<tr>
\t\t\t\t<td width="100%">
\t\t\t\t\t<table cellspacing="0" class="infomain ui-widget-content" >
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<th colspan="2" class="ui-widget-header">''')
            _v = VFFSL(SL,"tstrings",True)['networkshares'] # u"$tstrings['networkshares']" on line 110, col 49
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['networkshares']")) # from line 110, col 49.
            write(u''':</th>
\t\t\t\t\t\t</tr>
''')
            for share in VFFSL(SL,"shares",True): # generated from line 112, col 7
                write(u'''\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
                _v = VFFSL(SL,"share.name",True) # u'$share.name' on line 114, col 29
                if _v is not None: write(_filter(_v, rawExpr=u'$share.name')) # from line 114, col 29.
                write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
                _v = VFFSL(SL,"share.type",True) # u'$share.type' on line 115, col 30
                if _v is not None: write(_filter(_v, rawExpr=u'$share.type')) # from line 115, col 30.
                write(u''' ''')
                _v = VFFSL(SL,"tstrings",True)['using'] # u"$tstrings['using']" on line 115, col 42
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['using']")) # from line 115, col 42.
                write(u''' ''')
                _v = VFFSL(SL,"share.method",True) # u'$share.method' on line 115, col 61
                if _v is not None: write(_filter(_v, rawExpr=u'$share.method')) # from line 115, col 61.
                write(u''': ''')
                _v = VFFSL(SL,"share.path",True) # u'$share.path' on line 115, col 76
                if _v is not None: write(_filter(_v, rawExpr=u'$share.path')) # from line 115, col 76.
                write(u''' (''')
                _v = VFFSL(SL,"share.friendlyaddress",True) # u'$share.friendlyaddress' on line 115, col 89
                if _v is not None: write(_filter(_v, rawExpr=u'$share.friendlyaddress')) # from line 115, col 89.
                write(u''')</td>
\t\t\t\t\t\t</tr>
''')
            write(u'''\t\t\t\t\t</table>
\t\t\t\t</td>
\t\t\t</tr>
''')
        for iface in VFFSL(SL,"ifaces",True): # generated from line 122, col 4
            write(u'''\t\t\t<tr>
\t\t\t\t<td width="100%">
\t\t\t\t\t<table cellspacing="0" class="infomain ui-widget-content" >
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<th colspan="2" class="ui-widget-header">''')
            _v = VFFSL(SL,"tstrings",True)['network_interface'] # u"$tstrings['network_interface']" on line 127, col 49
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['network_interface']")) # from line 127, col 49.
            write(u''': ''')
            _v = VFFSL(SL,"iface.name",True) # u'$iface.name' on line 127, col 81
            if _v is not None: write(_filter(_v, rawExpr=u'$iface.name')) # from line 127, col 81.
            write(u''' (''')
            _v = VFFSL(SL,"iface.friendlynic",True) # u'$iface.friendlynic' on line 127, col 94
            if _v is not None: write(_filter(_v, rawExpr=u'$iface.friendlynic')) # from line 127, col 94.
            write(u''')</th>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
            _v = VFFSL(SL,"tstrings",True)['linkspeed'] # u"$tstrings['linkspeed']" on line 130, col 29
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['linkspeed']")) # from line 130, col 29.
            write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
            _v = VFFSL(SL,"iface.linkspeed",True) # u'$iface.linkspeed' on line 131, col 30
            if _v is not None: write(_filter(_v, rawExpr=u'$iface.linkspeed')) # from line 131, col 30.
            write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
            _v = VFFSL(SL,"tstrings",True)['mac_address'] # u"$tstrings['mac_address']" on line 134, col 29
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['mac_address']")) # from line 134, col 29.
            write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
            _v = VFFSL(SL,"iface.mac",True) # u'$iface.mac' on line 135, col 30
            if _v is not None: write(_filter(_v, rawExpr=u'$iface.mac')) # from line 135, col 30.
            write(u'''</td>
\t\t\t\t\t\t</tr>
\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t<td class="infoleft">''')
            _v = VFFSL(SL,"tstrings",True)['ipv6_address'] # u"$tstrings['ipv6_address']" on line 138, col 29
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ipv6_address']")) # from line 138, col 29.
            write(u''':</td>
\t\t\t\t\t\t\t<td class="inforight">''')
            _v = VFFSL(SL,"iface.ipv6",True) # u'$iface.ipv6' on line 139, col 30
            if _v is not None: write(_filter(_v, rawExpr=u'$iface.ipv6')) # from line 139, col 30.
            write(u''' (''')
            _v = VFFSL(SL,"iface.ipmethod",True) # u'$iface.ipmethod' on line 139, col 43
            if _v is not None: write(_filter(_v, rawExpr=u'$iface.ipmethod')) # from line 139, col 43.
            write(u''')</td>
\t\t\t\t\t\t</tr>
''')
            if VFFSL(SL,"iface.ip",True) != "0.0.0.0": # generated from line 141, col 7
                write(u'''\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t<td class="infoleft">''')
                _v = VFFSL(SL,"tstrings",True)['ipv4_address'] # u"$tstrings['ipv4_address']" on line 143, col 30
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['ipv4_address']")) # from line 143, col 30.
                write(u''':</td>
\t\t\t\t\t\t\t\t<td class="inforight">''')
                _v = VFFSL(SL,"iface.ip",True) # u'$iface.ip' on line 144, col 31
                if _v is not None: write(_filter(_v, rawExpr=u'$iface.ip')) # from line 144, col 31.
                write(u'''/''')
                _v = VFFSL(SL,"iface.v4prefix",True) # u'$iface.v4prefix' on line 144, col 41
                if _v is not None: write(_filter(_v, rawExpr=u'$iface.v4prefix')) # from line 144, col 41.
                write(u''' ''')
                _v = VFFSL(SL,"tstrings",True)['via'] # u"$tstrings['via']" on line 144, col 57
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['via']")) # from line 144, col 57.
                write(u''' ''')
                _v = VFFSL(SL,"iface.gw",True) # u'$iface.gw' on line 144, col 74
                if _v is not None: write(_filter(_v, rawExpr=u'$iface.gw')) # from line 144, col 74.
                write(u''' (''')
                _v = VFFSL(SL,"iface.ipv4method",True) # u'$iface.ipv4method' on line 144, col 85
                if _v is not None: write(_filter(_v, rawExpr=u'$iface.ipv4method')) # from line 144, col 85.
                write(u''')</td>
\t\t\t\t\t\t\t</tr>
''')
            write(u'''\t\t\t\t\t</table>
\t\t\t\t</td>
\t\t\t</tr>
''')
        write(u'''\t\t</table>
\t</div>
</div>\t
<!-- /box_info -->
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_boxinfo= 'respond'

## END CLASS DEFINITION

if not hasattr(boxinfo, '_initCheetahAttributes'):
    templateAPIClass = getattr(boxinfo, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(boxinfo)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=boxinfo()).run()


