#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Plugins.Extensions.OpenWebif.local import tstrings

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1480564690.37576
__CHEETAH_genTimestamp__ = 'Thu Dec  1 03:58:10 2016'
__CHEETAH_src__ = '/home/jenkins/pli/openpli-oe-core/build/tmp/work/dm520-oe-linux/enigma2-plugin-extensions-openwebif/1+gitAUTOINC+e7003bd46b-r1/git/plugin/controllers/views/ajax/webtv.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Dec  1 03:58:08 2016'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class webtv(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(webtv, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_85830288 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<style>
#streamchannels-menu {
\tmax-height: 300px;
}
</style>
<div id="content_main" style="min-height: 550px;background-image:none;" class="ui-widget-content">
\t<div id="info">
\t<div style="display: inline-block; width: 100%; zoom: 1;background-image:none;" class="ui-widget-content">
\t\t<h3 class="ui-widget-header">Player</h3>
\t\t\t\t<div id="vlcPlayer" style="margin:0 auto 0 auto;width:640px;height:400px;display:none;">
\t\t\t\t\t<embed type="application/x-vlc-plugin" pluginspage="http://www.videolan.org" version="VideoLAN.VLCPlugin.2" width="640px" height="360px" id="vlc"></embed>
\t\t\t\t</div>
\t\t\t\t<div id="htmlPlayer" style="margin:0 auto 0 auto;width:640px;height:400px;display:none;">
\t\t\t\t<video id="htmlp" width="640" height="360" controls>
\t\t\t\t</video>
\t\t\t\t</div>
''')
        if VFFSL(SL,"vxgenabled",True): # generated from line 19, col 5
            write(u'''\t\t\t\t<div id="vxgPlayer" style="margin:0 auto 0 auto;width:640px;height:500px;display:none;">
\t\t\t\t</div>
''')
        write(u'''\t\t\t\t<div style="display:table;margin:10 auto 10 auto;">
\t\t\t\t\t<span id="plbuttons" style="margin-right:10px;">
\t\t\t\t\t<input type="radio" id="plbtn_vlc" name="rplbutton" /><label id="lplbtn_vlc" for="plbtn_vlc">VLC</label>
\t\t\t\t\t<input type="radio" id="plbtn_vxg" name="rplbutton" /><label id="lplbtn_vxg" for="plbtn_vxg">VXG</label>
\t\t\t\t\t<input type="radio" id="plbtn_html" name="rplbutton" /><label id="lplbtn_html" for="plbtn_html">HTML</label>
\t\t\t\t\t</span>
\t\t\t\t\t<div style="display:inline-block;margin-left:10px;">
\t\t\t\t\t\t<span id="Deinterlace">
\t\t\t\t\t\t\tDeinterlace: <select id="deinterlace">
\t\t\t\t\t\t\t\t<option value="off">Off</option>
\t\t\t\t\t\t\t\t<option value="blend">Blend</option>
\t\t\t\t\t\t\t\t<option value="bob">Bob</option>
\t\t\t\t\t\t\t\t<option value="discard">Discard</option>
\t\t\t\t\t\t\t\t<option value="linear">Linear</option>
\t\t\t\t\t\t\t\t<option value="mean">Mean</option>
\t\t\t\t\t\t\t\t<option value="x">X</option>
\t\t\t\t\t\t\t\t<option value="yadif">Yadif</option>
\t\t\t\t\t\t\t\t<option value="yadif2x">Yadif2x</option>
\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t</span>
\t\t\t\t\t\t<div style="display:inline-block;margin-left:10px;">
\t\t\t\t\t\t\t<label for="wautoplay">Autoplay</label>
\t\t\t\t\t\t\t<input type="checkbox" name="wautoplay" id="wautoplay">
\t\t\t\t\t\t\t<label id="wtranscodingl" for="wtranscoding">Transcoding</label>
\t\t\t\t\t\t\t<input type="checkbox" data-port="''')
        _v = VFFSL(SL,"transcoder_port",True) # u'$transcoder_port' on line 47, col 42
        if _v is not None: write(_filter(_v, rawExpr=u'$transcoder_port')) # from line 47, col 42.
        write(u'''" name="wtranscoding" id="wtranscoding">
\t\t\t\t\t\t\t<button id="btnstop" style="margin-left:5px;">Stop</button>
\t\t\t\t\t\t\t<button id="btnplay" style="margin-left:5px;">Play</button>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t\t<div style="display:table;margin-top:10px;margin-bottom:10px;width: 95%;">
\t\t\t\t\t<div style="display:table;margin:10 auto 10 auto;">
\t\t\t\t\t<span id="srcbuttons" style="margin-right:10px;">
\t\t\t\t\t<input type="radio" id="sbtn0" name="srcbutton" checked="checked" /><label for="sbtn0">''')
        _v = VFFSL(SL,"tstrings",True)['channels'] # u"$tstrings['channels']" on line 56, col 93
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['channels']")) # from line 56, col 93.
        write(u'''</label>
\t\t\t\t\t<input type="radio" id="sbtn1" name="srcbutton" /><label for="sbtn1">''')
        _v = VFFSL(SL,"tstrings",True)['movies'] # u"$tstrings['movies']" on line 57, col 75
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['movies']")) # from line 57, col 75.
        write(u'''</label>
\t\t\t\t\t</span>
\t\t\t\t\t<span style="display:inline-block;">
\t\t\t\t\t<select name="streamchannels" id="streamchannels" tabindex="16"></select>
\t\t\t\t\t<select name="streamrecordings" id="streamrecordings" tabindex="10"></select>
\t\t\t\t\t<select id="moviesort">
''')
        count = 0
        da = VFFSL(SL,"tstrings",True)['date']
        na = VFFSL(SL,"tstrings",True)['name']
        sortnames = [VFFSL(SL,"na",True),VFFSL(SL,"na",True),VFFSL(SL,"da",True),VFFSL(SL,"da",True)]
        sorttypes = ['name','named','date','dated']
        sortimg = ['fa-sort-alpha-asc','fa-sort-alpha-desc','fa-sort-numeric-asc','fa-sort-numeric-desc']
        for title in VFFSL(SL,"sortnames",True): # generated from line 69, col 6
            write(u'''\t\t\t\t\t\t<option value="''')
            _v = VFFSL(SL,"sorttypes",True)[VFFSL(SL,"count",True)] # u'$sorttypes[$count]' on line 70, col 22
            if _v is not None: write(_filter(_v, rawExpr=u'$sorttypes[$count]')) # from line 70, col 22.
            write(u'''" data-class="''')
            _v = VFFSL(SL,"sortimg",True)[VFFSL(SL,"count",True)] # u'$sortimg[$count]' on line 70, col 54
            if _v is not None: write(_filter(_v, rawExpr=u'$sortimg[$count]')) # from line 70, col 54.
            write(u'''">''')
            _v = VFFSL(SL,"title",True) # u'$title' on line 70, col 72
            if _v is not None: write(_filter(_v, rawExpr=u'$title')) # from line 70, col 72.
            write(u'''</option>
''')
            count += 1
        write(u'''\t\t\t\t\t</select>
\t\t\t\t\t</span>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t\t
\t\t\t</div>
\t\t</div>
<script type="text/javascript" src="/js/chosen.jquery.min.js"></script>
''')
        if VFFSL(SL,"vxgenabled",True): # generated from line 81, col 1
            write(u'''<script type="text/javascript" src="/js/vxgplayer-1.8.15.min.js"></script>
''')
        write(u"""<script>
var isChrome = !!window.chrome;
var isSecure = (window.location.protocol == 'https:');

(function() {

\tvar PlayerObj = function () {
\t\tvar self;
\t\tvar _vlc;
\t\tvar _html;
\t\tvar vxgplayerId = null;
\t\tvar currentp;
\t\tvar folderoptions;
\t\tvar dn;
\t\tvar currenturl;
\t\tvar pr;
\t\tvar pl;
\t\tvar hasvlc=false;
\t\tvar hasvxg=false;
\t\treturn {
\t\t\tsetup: function () {
\t\t\t\tself = this;
\t\t\t\tself.auth = '""")
        _v = VFFSL(SL,"auth",True) # u'$auth' on line 106, col 18
        if _v is not None: write(_filter(_v, rawExpr=u'$auth')) # from line 106, col 18.
        write(u"""';
\t\t\t\tself.hasvlc = self.hasvxg = false;
\t\t\t\tself.pl = GetLSValue('webtvplayerl','vlc');
\t\t\t\tself.pr = GetLSValue('webtvplayerr','vlc');
\t\t\t\tif (isChrome) {
\t\t\t\t\t$('#plbtn_vlc').remove();
\t\t\t\t\t$('#lplbtn_vlc').remove();
\t\t\t\t} else
\t\t\t\t\tself.hasvlc=true;
""")
        if VFFSL(SL,"vxgenabled",True): # generated from line 115, col 1
            write(u'''\t\t\t\tself.hasvxg = true;
''')
        write(u'''\t\t\t\tif (isChrome && self.hasvxg)
\t\t\t\t{
\t\t\t\t\tself.pl = GetLSValue(\'webtvplayerl\',\'vxg\');
\t\t\t\t\tself.pr = GetLSValue(\'webtvplayerr\',\'vxg\');
\t\t\t\t}
\t\t\t\telse
\t\t\t\t{
\t\t\t\t\t$(\'#plbtn_vxg\').remove();
\t\t\t\t\t$(\'#lplbtn_vxg\').remove();
\t\t\t\t}

\t\t\t\tSetLSValue(\'webtvplayerl\',self.pl);
\t\t\t\tSetLSValue(\'webtvplayerr\',self.pr);

\t\t\t\t$(\'#sbtn0\').click(function(){
\t\t\t\t\t$(\'#streamchannels_chosen\').css(\'display\',\'inline-block\');
\t\t\t\t\t$(\'#streamrecordings_chosen\').css(\'display\',\'none\');
\t\t\t\t\t$(\'#moviesort-button\').hide();
\t\t\t\t\tself.currentp = self.pl;
\t\t\t\t\tself.setPlayer(self.pl);
\t\t\t\t\tself.CheckPlayer();
\t\t\t\t});
\t\t\t\t$(\'#sbtn1\').click(function(){
\t\t\t\t\t$(\'#streamrecordings_chosen\').css(\'display\',\'inline-block\');
\t\t\t\t\t$(\'#streamchannels_chosen\').css(\'display\',\'none\');
\t\t\t\t\t$(\'#moviesort-button\').show();
\t\t\t\t\tself.currentp = self.pr;
\t\t\t\t\tself.setPlayer(self.pr);
\t\t\t\t\tself.CheckPlayer();
\t\t\t\t});
\t\t\t\t
\t\t\t\t$("#srcbuttons").buttonset();

\t\t\t\t$("#streamchannels").chosen({disable_search_threshold: 10,no_results_text: "Oops, nothing found!",width: "400px"});
\t\t\t\t$("#streamchannels").chosen().change( 
\t\t\t\t\tfunction() {
\t\t\t\t\t\tself.setUrl($("#streamchannels").val(),$("#streamchannels option:selected").text(),true);
\t\t\t\t\t\tself.play();
\t\t\t\t\t}
\t\t\t\t);
\t\t\t\t
\t\t\t\t$("#streamrecordings").chosen({disable_search_threshold: 10,no_results_text: "Oops, nothing found!",width: "400px"});
\t\t\t\t$("#streamrecordings").chosen().change( 
\t\t\t\t\tfunction() {
\t\t\t\t\t\tvar ref = $("#streamrecordings").val();
\t\t\t\t\t\tvar name = $("#streamrecordings option:selected").text();
\t\t\t\t\t\tif(ref!=\'\')
\t\t\t\t\t\t{
\t\t\t\t\t\t\tif(ref == name)
\t\t\t\t\t\t\t{
\t\t\t\t\t\t\t\t$("#streamrecordings").empty();
\t\t\t\t\t\t\t\t$(\'#streamrecordings\').trigger("chosen:updated");
\t\t\t\t\t\t\t\t$("#moviesort-button .ui-selectmenu-text .sortimg").empty();
\t\t\t\t\t\t\t\tself.getRecordings(ref,function(){
\t\t\t\t\t\t\t\t\t$(\'#streamrecordings\').trigger("chosen:updated");
\t\t\t\t\t\t\t\t});
\t\t\t\t\t\t\t}
\t\t\t\t\t\t\telse {
\t\t\t\t\t\t\t\tself.setUrl(ref,name,false);
\t\t\t\t\t\t\t\tself.play();
\t\t\t\t\t\t\t}
\t\t\t\t\t\t}
\t\t\t\t\t}
\t\t\t\t);
\t\t\t\t
\t\t\t\t$("#deinterlace").chosen({disable_search: true,no_results_text: "",width: "150px"});
\t\t\t\t$("#deinterlace").chosen().change( 
\t\t\t\t\t\tfunction() {
\t\t\t\t\t\t\tvar dv = $("#deinterlace").val();
\t\t\t\t\t\t\tSetLSValue(\'vlcdeinterlace\',dv);
\t\t\t\t\t\t\tself.setDeinterlace(dv);
\t\t\t\t\t\t}
\t\t\t\t);
\t\t\t\t
\t\t\t\tvar dv = GetLSValue(\'vlcdeinterlace\',\'off\');
\t\t\t\t$("#deinterlace").val( dv );
\t\t\t\t$(\'#deinterlace\').trigger("chosen:updated");
\t\t\t\tself.setDeinterlace(dv);
\t\t\t\t
\t\t\t\tif(!isSecure) {
\t\t\t\t\tGetAllServices(function ( options , boptions) {
\t\t\t\t\t\t$("#streamchannels").append( options);
\t\t\t\t\t\tif(current_ref) {
\t\t\t\t\t\t\t$("#streamchannels").val( current_ref );
\t\t\t\t\t\t}
\t\t\t\t\t\t$(\'#streamchannels\').trigger("chosen:updated");
\t\t\t\t\t});
\t\t\t\t}

\t\t\t\tself.getRecordings(\'\',function(){
\t\t\t\t\t$(\'#streamrecordings\').trigger("chosen:updated");
\t\t\t\t});
\t\t\t\t
\t\t\t\t$(".chosen-container .chosen-drop").addClass(\'ui-widget-content\');
\t\t\t\tif (theme == \'eggplant\' || theme == \'vader\')
\t\t\t\t{
\t\t\t\t\t$(".chosen-container .chosen-drop").css(\'background-image\',\'none\');
\t\t\t\t}
\t\t\t\t
\t\t\t\t$(\'#btnstop\').click(function(){
\t\t\t\t\tself.stop();
\t\t\t\t\t$(this).blur();
\t\t\t\t});
\t\t\t\t$(\'#btnplay\').click(function(){
\t\t\t\t\tself.play();
\t\t\t\t\t$(this).blur();
\t\t\t\t});
\t\t\t\t
\t\t\t\t$(\'#streamchannels_chosen\').css(\'display\',\'inline-block\');
\t\t\t\t$(\'#streamrecordings_chosen\').css(\'display\',\'none\');

\t\t\t\tif($(\'#wtranscoding\').data(\'port\')!=\'0\')
\t\t\t\t{
\t\t\t\t\t$(\'#wtranscoding\').click(function() { 
\t\t\t\t\t\tSetLSValue(\'wtranscoding\',$(\'#wtranscoding\').is(\':checked\'));
\t\t\t\t\t\t$(this).blur();
\t\t\t\t\t\tself.stop();
\t\t\t\t\t\tvar live = ($(\'#moviesort-button\').css(\'display\') == \'none\');
\t\t\t\t\t\tif(live)
\t\t\t\t\t\t\t$("#streamchannels").trigger(\'change\');
\t\t\t\t\t\telse
\t\t\t\t\t\t\t$("#streamrecordings").trigger(\'change\');
\t\t\t\t\t});
\t\t\t\t\tvar ap = GetLSValue(\'wtranscoding\',false);
\t\t\t\t\t$(\'#wtranscoding\').prop(\'checked\',ap);
\t\t\t\t}
\t\t\t\telse
\t\t\t\t{
\t\t\t\t\t$(\'#wtranscoding\').hide();
\t\t\t\t\t$(\'#wtranscodingl\').hide();
\t\t\t\t}

\t\t\t\t$.widget( "custom.iconselectmenu", $.ui.selectmenu, {
\t\t\t\t\t_renderItem: function( ul, item ) {
\t\t\t\t\t\tvar li = $( "<li>" ),
\t\t\t\t\t\twrapper = $( "<div>",{ text: item.label } ).prepend (
\t\t\t\t\t\t$( "<span class=\'sortimg\'>").append (
\t\t\t\t\t\t\t$( "<i>", { "class": "fa " + item.element.data("class") })
\t\t\t\t\t\t\t)
\t\t\t\t\t\t);
\t\t\t\t\t\treturn li.append( wrapper ).appendTo( ul );
\t\t\t\t\t}
\t\t\t\t});\t
\t\t\t\t
\t\t\t\tvar ms = GetLSValue(\'webtvms\',\'name\');
\t\t\t\t$(\'#moviesort\').val(ms).change();

\t\t\t\t$(\'#moviesort\').iconselectmenu({change: function(event, ui) {
\t\t\t\t\t$("#streamrecordings").empty();
\t\t\t\t\tSetLSValue(\'webtvms\',ui.item.value);
\t\t\t\t\tself.SortMovies();
\t\t\t\t\t}
\t\t\t\t}).addClass(\'ui-menu-icons\');

\t\t\t\t$(\'#moviesort-button\').hide();
\t\t\t\t$(\'#moviesort-button\').css(\'margin-left\',\'10px\');
\t\t\t\t
\t\t\t\t$(\'#wautoplay\').checkboxradio();
\t\t\t\t$(\'#wtranscoding\').checkboxradio();
\t\t\t\t
\t\t\t\t$(\'#btnstop\').button();
\t\t\t\t$(\'#btnplay\').button();
\t\t\t\t
\t\t\t\t$("#plbuttons").buttonset();
\t\t\t\t
\t\t\t\t$(\'#plbtn_vlc\').click(function(){
\t\t\t\t\tself.setRecPlayer(\'vlc\');
\t\t\t\t});
\t\t\t\t$(\'#plbtn_vxg\').click(function(){
\t\t\t\t\tself.setRecPlayer(\'vxg\');
\t\t\t\t});
\t\t\t\t$(\'#plbtn_html\').click(function(){
\t\t\t\t\tself.setRecPlayer(\'html\');
\t\t\t\t});
\t\t\t\t
\t\t\t\tself.setPlayer(self.pl);
\t\t\t\tself.CheckPlayer();
\t\t\t\t
\t\t\t\t$(\'#wautoplay\').click(function() { 
\t\t\t\t\tSetLSValue(\'wautoplay\',$(\'#wautoplay\').is(\':checked\'));
\t\t\t\t\t$(this).blur();
\t\t\t\t});
\t\t\t\tvar ap = GetLSValue(\'wautoplay\',false);
\t\t\t\t$(\'#wautoplay\').prop(\'checked\',ap);

\t\t\t\tif(isSecure) {
\t\t\t\t\t$(\'#srcbuttons\').hide();
\t\t\t\t\t$(\'#sbtn1\').trigger( "click" );
\t\t\t\t}
\t\t\t\telse
\t\t\t\t{
\t\t\t\t\tif(current_ref) {
\t\t\t\t\t\tself.setUrl(current_ref,current_name,true);
\t\t\t\t\t\tif (ap)
\t\t\t\t\t\t\tself.play();
\t\t\t\t\t}
\t\t\t\t}
\t\t\t\t
\t\t\t},setRecPlayer: function (pl) {
\t\t\t\tself.currentp = self.pr = pl;
\t\t\t\tSetLSValue(\'webtvplayerr\',self.currentp);
\t\t\t\tself.setPlayer(self.currentp);
\t\t\t},SortMovies: function () {

\t\t\t\tvar idx = GetLSValue(\'webtvms\',\'name\');
\t\t\t\tvar _mv = MLHelper.SortMovies(idx).slice();

\t\t\t\tvar options = self.folderoptions;
\t\t\t\tvar items = [];
\t\t\t\t// TODO : format list
\t\t\t\tfor (var i = 0, len = _mv.length; i < len; i++) {
\t\t\t\t\titems.push (
\t\t\t\t\t\t"<option value=\'" + _mv[i].fn + "\'>" + _mv[i].title + "&nbsp;/&nbsp;" + _mv[i].bt + "</option>"
\t\t\t\t\t);
\t\t\t\t}
\t\t\t\toptions += "<optgroup label=\'" + self.dn + "\'>" + items.join("") + "</optgroup>";
\t\t\t\t$("#streamrecordings").append( options );
\t\t\t\t$(\'#streamrecordings\').trigger("chosen:updated");

\t\t\t},CheckPlayer: function () {
\t\t\t
\t\t\t\tvar live = ($(\'#moviesort-button\').css(\'display\') == \'none\');
\t\t\t\tvar pl = self.currentp;
\t\t\t\t
\t\t\t\t$(\'#htmlPlayer\').toggle(pl == \'html\');
\t\t\t\t$(\'#vxgPlayer\').toggle(pl == \'vxg\');
\t\t\t\t$(\'#vlcPlayer\').toggle(pl == \'vlc\');

\t\t\t\tif (!live) {
\t\t\t\t\t$(\'#plbtn_html\').prop(\'checked\',false).button("refresh");
\t\t\t\t\tif(self.hasvxg)
\t\t\t\t\t\t$(\'#plbtn_vxg\').prop(\'checked\',false).button("refresh");
\t\t\t\t\tif(self.hasvlc)
\t\t\t\t\t\t$(\'#plbtn_vlc\').prop(\'checked\',false).button("refresh");
\t\t\t\t\t$(\'#plbtn_\'+pl).prop(\'checked\',true).button("refresh");
\t\t\t\t}
\t\t\t\t$(\'#plbuttons\').toggle(!live);
\t\t\t\t$(\'#btnstop\').toggle(pl != \'html\');
\t\t\t\t$(\'#btnplay\').toggle(pl != \'html\');

\t\t\t},getRecordings: function(_dirname,callback) {
\t\t\t\tvar rdata = {fields:\'f\'};
\t\t\t\tif(_dirname != \'\')
\t\t\t\t\trdata = {dirname: _dirname,fields:\'f\'};
\t\t\t\t$.ajax({
\t\t\t\t\turl: \'/api/movielist\',
\t\t\t\t\tdataType: \'json\',
\t\t\t\t\tcache: false,
\t\t\t\t\tdata: rdata,
\t\t\t\t\tsuccess: function ( data ) {
\t\t\t\t\t\tvar mv = data[\'movies\'];
\t\t\t\t\t\tself.dn = data[\'directory\'];
\t\t\t\t\t\tvar subdirs = data[\'bookmarks\'];
\t\t\t\t\t\tvar items = [];
\t\t\t\t\t\tvar lastdir = \'\';
\t\t\t\t\t\tvar dira = self.dn.split(\'/\');
\t\t\t\t\t\tvar options=\'\';
\t\t\t\t\t\tif(dira.length>1) {
\t\t\t\t\t\t\tfor (index = 0;index < dira.length - 2; ++index) {
\t\t\t\t\t\t\t\tlastdir += dira[index] + \'/\';
\t\t\t\t\t\t\t}
\t\t\t\t\t\t}
\t\t\t\t\t\tif(lastdir!=\'\') {
\t\t\t\t\t\t\toptions = "<optgroup label=\'Folders\'>";
\t\t\t\t\t\t\toptions += "<option value=\'\' disabled selected style=\'display:none;\'></option>";
\t\t\t\t\t\t\toptions += "<option value=\'" + lastdir + "\'>" + lastdir + "</option>";
\t\t\t\t\t\t\tfor (index = 0;index < subdirs.length; ++index) {
\t\t\t\t\t\t\t\toptions += "<option value=\'" + self.dn + subdirs[index] + "\'>" + self.dn + subdirs[index] + "</option>";
\t\t\t\t\t\t\t}
\t\t\t\t\t\t\toptions += "</optgroup>";
\t\t\t\t\t\t}
\t\t\t\t\t\t
\t\t\t\t\t\tself.folderoptions = options;
\t\t\t\t\t\t
\t\t\t\t\t\tvar _mv = [];
\t\t\t\t\t\t
\t\t\t\t\t\t$.each( mv, function( key, val ) {
\t\t\t\t\t\t\tvar _fn = val[\'filename\'].replace(/\'/g, \'___\');
\t\t\t\t\t\t\t_mv.push({ title :  val[\'eventname\'], bt : val[\'begintime\'], start:val[\'recordingtime\'],fn:_fn});
\t\t\t\t\t\t});
\t\t\t\t\t\t
\t\t\t\t\t\tMLHelper.SetMovies(_mv);
\t\t\t\t\t\tself.SortMovies();
\t\t\t\t\t\tcallback();
\t\t\t\t\t}
\t\t\t\t});
\t\t\t}, setDeinterlace: function(val){
\t\t\t\t\tvar modes = ["blend", "bob", "discard", "linear", "mean", "x", "yadif", "yadif2x"];
\t\t\t\t\ttry {
\t\t\t\t\t\tif(val != "off" && modes.indexOf(val) >= 0)
\t\t\t\t\t\t\tself._vlc.video.deinterlace.enable(val);
\t\t\t\t\t\telse
\t\t\t\t\t\t\tself._vlc.video.deinterlace.disable();
\t\t\t\t\t} catch (e) { }
\t\t\t}, setUrl: function(sref,name,live) {

\t\t\t\ttry {
\t\t\t\t\tif (!live) {
\t\t\t\t\t\tvar fn = sref.split(\'/\').reverse()[0];
\t\t\t\t\t\tvar path = encodeURIComponent(sref.substring(0,sref.length-fn.length));
\t\t\t\t\t\tfn = fn.replace(/___/g, "\'");
\t\t\t\t\t\tsref = path + escape(fn);
\t\t\t\t\t}
\t\t\t\t\t
\t\t\t\t\tvar tp = $(\'#wtranscoding\').data(\'port\');
\t\t\t\t\tvar trans = GetLSValue(\'wtranscoding\',false);
\t\t\t\t\tif(tp!=\'0\' && trans)
\t\t\t\t\t{
\t\t\t\t\t\turl = \'http://\' + self.auth + window.location.hostname + \':\'+ tp +\'/\' + sref;
\t\t\t\t\t}
\t\t\t\t\telse
\t\t\t\t\t{
\t\t\t\t\t\tif (live) {
\t\t\t\t\t\t\turl = \'http://\' + self.auth + window.location.hostname + \':8001/\' + sref;
\t\t\t\t\t\t} else {
\t\t\t\t\t\t\tbaseurl = window.location.protocol + \'//\' + self.auth + window.location.hostname;
\t\t\t\t\t\t\tif (window.location.port != "")
\t\t\t\t\t\t\t\tbaseurl = baseurl + \':\' + window.location.port;
\t\t\t\t\t\t\turl = baseurl + \'/file?file=\' + sref;
\t\t\t\t\t\t}
\t\t\t\t\t}
\t\t\t\t\t
\t\t\t\t\tif(self._vlc) {
\t\t\t\t\t\tself._vlc.playlist.clear();
\t\t\t\t\t\tself._vlc.playlist.add(url);
\t\t\t\t\t}
\t\t\t\t\tif(self._html) {
\t\t\t\t\t\tself._html.src = url;
\t\t\t\t\t}
''')
        if VFFSL(SL,"vxgenabled",True): # generated from line 447, col 1
            write(u"""\t\t\t\t\tif(self.currentp == 'vxg')
\t\t\t\t\t\tvxgplayer(self.vxgplayerId).src(url);
""")
        write(u'''\t\t\t\t} catch (e) {
\t\t\t\t}
\t\t\t}, stop: function() {
''')
        if VFFSL(SL,"vxgenabled",True): # generated from line 454, col 1
            write(u"""\t\t\t\tif(self.currentp == 'vxg')
\t\t\t\t\tvxgplayer(self.vxgplayerId).stop();
""")
        write(u"""\t\t\t\tif(self.currentp == 'vlc')
\t\t\t\t\ttry { self._vlc.playlist.stop(); } catch (e) { }
\t\t\t\tif(self.currentp == 'html')
\t\t\t\t\ttry { self._html.stop(); } catch (e) { }
\t\t\t}, play: function() {
""")
        if VFFSL(SL,"vxgenabled",True): # generated from line 463, col 1
            write(u"""\t\t\t\tif(self.currentp == 'vxg')
\t\t\t\t\tvxgplayer(self.vxgplayerId).play();
""")
        write(u'''\t\t\t\tif(self.currentp == \'vlc\')
\t\t\t\t\ttry { self._vlc.playlist.play(); } catch (e) { }
\t\t\t\tif(self.currentp == \'html\')
\t\t\t\t\ttry { self._html.play(); } catch (e) { }
\t\t\t}, setPlayer : function (pl) {
\t\t\t\tself._vlc = null;
\t\t\t\tself._html = null;
\t\t\t\tself.currentp = pl;

\t\t\t\t$(\'#Deinterlace\').toggle(pl == \'vlc\');
\t\t\t\t$(\'#vlcPlayer\').toggle(pl == \'vlc\');
\t\t\t\t$(\'#htmlPlayer\').toggle(pl == \'html\');
\t\t\t\t
\t\t\t\tif(pl == \'vlc\')
\t\t\t\t\tself._vlc = document.getElementById("vlc");
\t\t\t\t
\t\t\t\tif(pl == \'html\')
\t\t\t\t\tself._html = document.getElementById("htmlp");

''')
        if VFFSL(SL,"vxgenabled",True): # generated from line 486, col 1
            write(u'''\t\t\t\t$(\'#vxgPlayer\').toggle(pl == \'vxg\');
\t\t\t\tif(pl == \'vxg\'){
\t\t\t\t\tif(!self.vxgplayerId)
\t\t\t\t\t\tself.createVX();
\t\t\t\t}
\t\t\t\tself.CheckPlayer();
\t\t\t\t
\t\t\t}, createVX: function() {
\t\t\t
\t\t\t\tself.vxgplayerId = \'vxg_media_player1\';
\t\t\t\tvar div = document.createElement(\'div\');
\t\t\t\tdiv.setAttribute("id", self.vxgplayerId);
\t\t\t\tdiv.setAttribute("class", "vxgplayer");
\t\t\t\tvar _parent = document.getElementById(\'vxgPlayer\');
\t\t\t\t_parent.appendChild(div);
\t\t\t\tvxgplayer(self.vxgplayerId, {
\t\t\t\t\tnmf_path: \'media_player.nmf\',
\t\t\t\t\tnmf_src: \'/js/media_player.nmf\',
\t\t\t\t\tlatency: 300000,
\t\t\t\t\taspect_ratio_mode: 1,
\t\t\t\t\tautohide: 3,
\t\t\t\t\tcontrols: true,
\t\t\t\t\tavsync: true,
\t\t\t\t\tautoreconnect: 1
\t\t\t\t});
''')
        write(u'''\t\t\t},
\t\t}
\t};

\tvar playerobj = new PlayerObj();
\tplayerobj.setup();

})();
</script>
<link rel="stylesheet" type="text/css" href="/css/chosen.min.css" />
''')
        if VFFSL(SL,"vxgenabled",True): # generated from line 523, col 1
            write(u'''<link rel="stylesheet" type="text/css" href="/css/vxgplayer-1.8.15.min.css" />
<style>
.vxgplayer-error { margin-left:0px;}
</style>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_85830288
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_webtv= 'respond'

## END CLASS DEFINITION

if not hasattr(webtv, '_initCheetahAttributes'):
    templateAPIClass = getattr(webtv, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(webtv)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=webtv()).run()


