#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Plugins.Extensions.OpenWebif.local import tstrings

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1480564689.184315
__CHEETAH_genTimestamp__ = 'Thu Dec  1 03:58:09 2016'
__CHEETAH_src__ = '/home/jenkins/pli/openpli-oe-core/build/tmp/work/dm520-oe-linux/enigma2-plugin-extensions-openwebif/1+gitAUTOINC+e7003bd46b-r1/git/plugin/controllers/views/mobile/about.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Dec  1 03:58:08 2016'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class about(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(about, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<html>\r
<head>\r
<title>OpenWebif</title>\r
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />\r
<meta name="viewport" content="user-scalable=no, width=device-width"/>\r
<meta name="apple-mobile-web-app-capable" content="yes" />\r
<link rel="stylesheet" href="/css/jquery.mobile-1.4.5.min.css">\r
<script src="/js/jquery.min.js"></script>\r
<script src="/js/jquery.mobile-1.4.5.min.js"></script>\r
<link rel="stylesheet" type="text/css" href="/css/iphone.css" media="screen"/>\r
</head>\r
<body> \r
\t<div data-role="page">\r
\t\t<div id="header">\r
\t\t\t<div class="button" onClick="history.back()">''')
        _v = VFFSL(SL,"tstrings",True)['back'] # u"$tstrings['back']" on line 16, col 49
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['back']")) # from line 16, col 49.
        write(u'''</div>\r
\t\t\t<h1><a style="color:#FFF;text-decoration:none;" href=\'/mobile\'>OpenWebif</a></h1>\r
\t\t</div>\r
\t\t<div id="contentContainer">\r
\t\t\t<div id="mainContent" style="text-align: center;">\r
\t\t\t\t<h3>''')
        _v = VFFSL(SL,"tstrings",True)['openwebif_header'] # u"$tstrings['openwebif_header']" on line 21, col 9
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['openwebif_header']")) # from line 21, col 9.
        write(u'''</h3>\r
\t\t\t\t<h3>''')
        _v = VFFSL(SL,"tstrings",True)['site_source'] # u"$tstrings['site_source']" on line 22, col 9
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['site_source']")) # from line 22, col 9.
        write(u''': <a href="https://github.com/E2OpenPlugins/e2openplugin-OpenWebif">Github</a></h3>\r
\t\t\t\t<hr>\t\t\t\r
\t\t\t\t<br>\r
\t\t\t\t<h1>''')
        _v = VFFSL(SL,"tstrings",True)['authors'] # u"$tstrings['authors']" on line 25, col 9
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['authors']")) # from line 25, col 9.
        write(u'''</h1>\r
\t\t\t\t<div class="info">\r
\t\t\t\t\tmeo aka bacicciosat<br>\t\r
\t\t\t\t\tskaman<br>\r
\t\t\t\t\tHomey-GER<br>\r
\t\t\t\t\tjbleyel<br>\r
\t\t\t\t</div>\r
\t\t\t\t<hr>\r
\t\t\t\t<br>\t\r
\t\t\t\t<h1>''')
        _v = VFFSL(SL,"tstrings",True)['javalib'] # u"$tstrings['javalib']" on line 34, col 9
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['javalib']")) # from line 34, col 9.
        write(u'''</h1>\r
\t\t\t\t<div class="info">\r
\t\t\t\t\t<a href="http://jqueryui.com/">jQuery UI</a><br>\r
\t\t\t\t\t<a href="http://jquerymobile.com/">jQuery Mobile</a>\r
\t\t\t\t</div>\r
\t\t\t\t<hr>\r
\t\t\t\t<br>\t\r
\t\t\t\t<h1>''')
        _v = VFFSL(SL,"tstrings",True)['template_engine'] # u"$tstrings['template_engine']" on line 41, col 9
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['template_engine']")) # from line 41, col 9.
        write(u'''</h1>\r
\t\t\t\t<div class="info">\r
\t\t\t\t\t<a href="http://www.cheetahtemplate.org/">Cheetah</a>\r
\t\t\t\t</div>\r
\t\t\t\t<hr>\r
\t\t\t\t<br>\t\t\t\r
\t\t\t\t<h1>''')
        _v = VFFSL(SL,"tstrings",True)['license'] # u"$tstrings['license']" on line 47, col 9
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['license']")) # from line 47, col 9.
        write(u'''</h1>\r
\t\t\t\t''')
        _v = VFFSL(SL,"tstrings",True)['license_text_m'] # u"$tstrings['license_text_m']" on line 48, col 5
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['license_text_m']")) # from line 48, col 5.
        write(u'''\r
\t\t\t</div>\r
\t\t</div>\r
\t\t<div id="footer">\r
\t\t\t<p>OpenWebif Mobile</p>\r
\t\t\t<a onclick="document.location.href=\'/index?mode=fullpage\';return false;" href="#">''')
        _v = VFFSL(SL,"tstrings",True)['show_full_openwebif'] # u"$tstrings['show_full_openwebif']" on line 53, col 86
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['show_full_openwebif']")) # from line 53, col 86.
        write(u'''</a>\r
\t\t</div>\r
\t</div>\r
 </body>\r
</html>\r
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_about= 'respond'

## END CLASS DEFINITION

if not hasattr(about, '_initCheetahAttributes'):
    templateAPIClass = getattr(about, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(about)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=about()).run()


