#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Plugins.Extensions.OpenWebif.local import tstrings
from urllib import quote

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1480564689.158272
__CHEETAH_genTimestamp__ = 'Thu Dec  1 03:58:09 2016'
__CHEETAH_src__ = '/home/jenkins/pli/openpli-oe-core/build/tmp/work/dm520-oe-linux/enigma2-plugin-extensions-openwebif/1+gitAUTOINC+e7003bd46b-r1/git/plugin/controllers/views/mobile/bouquets.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Dec  1 03:58:08 2016'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class bouquets(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(bouquets, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<html>\r
<head>\r
<title>OpenWebif</title>\r
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />\r
<meta name="viewport" content="user-scalable=no, width=device-width"/>\r
<meta name="apple-mobile-web-app-capable" content="yes" />\r
<link rel="stylesheet" href="/css/jquery.mobile-1.4.5.min.css">\r
<script src="/js/jquery.min.js"></script>\r
<script src="/js/jquery.mobile-1.4.5.min.js"></script>\r
<link rel="stylesheet" type="text/css" href="/css/iphone.css" media="screen"/>\r
</head>\r
 <body> \r
\t<div data-role="page">\r
\t\t<div id="header">\r
\t\t\t<div class="button" onClick="history.back()">''')
        _v = VFFSL(SL,"tstrings",True)['back'] # u"$tstrings['back']" on line 16, col 49
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['back']")) # from line 16, col 49.
        write(u'''</div>\r
\t\t\t<h1><a style="color:#FFF;text-decoration:none;" href=\'/mobile\'>OpenWebif</a></h1>
\t\t</div>\r
\t\t<div id="contentContainer">\r
\t\t\t<ul data-role="listview" data-inset="true" data-theme="d">\r
\t\t\t\t<li data-role="list-divider" role="heading" data-theme="b">''')
        _v = VFFSL(SL,"tstrings",True)['bouquets'] # u"$tstrings['bouquets']" on line 21, col 64
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['bouquets']")) # from line 21, col 64.
        write(u'''</li>\r
''')
        for bouquet in VFFSL(SL,"bouquets",True): # generated from line 23, col 5
            write(u'''\t\t\t\t<li><a href="/mobile/channels?id=''')
            _v = VFFSL(SL,"quote",False)(VFFSL(SL,"bouquet",True)[0]) # u'$quote($bouquet[0])' on line 24, col 38
            if _v is not None: write(_filter(_v, rawExpr=u'$quote($bouquet[0])')) # from line 24, col 38.
            write(u'''">''')
            _v = VFFSL(SL,"bouquet",True)[1] # u'$bouquet[1]' on line 24, col 59
            if _v is not None: write(_filter(_v, rawExpr=u'$bouquet[1]')) # from line 24, col 59.
            write(u'''</a></li>\r
''')
        write(u'''\t\t\t</ul>\r
\t\t</div>\r
\t\t<div id="footer">\r
\t\t\t<p>OpenWebif Mobile</p>\r
\t\t\t<a onclick="document.location.href=\'/index?mode=fullpage\';return false;" href="#">''')
        _v = VFFSL(SL,"tstrings",True)['show_full_openwebif'] # u"$tstrings['show_full_openwebif']" on line 30, col 86
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['show_full_openwebif']")) # from line 30, col 86.
        write(u'''</a>\r
\t\t</div>\r
\t</div>\r
 </body>\r
</html>\r
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_bouquets= 'respond'

## END CLASS DEFINITION

if not hasattr(bouquets, '_initCheetahAttributes'):
    templateAPIClass = getattr(bouquets, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(bouquets)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=bouquets()).run()


