#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1480564689.468321
__CHEETAH_genTimestamp__ = 'Thu Dec  1 03:58:09 2016'
__CHEETAH_src__ = '/home/jenkins/pli/openpli-oe-core/build/tmp/work/dm520-oe-linux/enigma2-plugin-extensions-openwebif/1+gitAUTOINC+e7003bd46b-r1/git/plugin/controllers/views/web/css.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Dec  1 03:58:08 2016'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class css(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(css, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_40030636 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''/*
\tAll Themes:
\tbase
\tblack-tie
\tblitzer
\tclear
\tcupertino
\tdark-hive
\tdot-luv
\teggplant
\texcite-bike
\tflick
\thot-sneaks
\thumanity
\tle-frog
\tmint-choc
\tovercast
\tpepper-grinder
\tredmond -> original
\tsmoothness
\tsouth-street
\tstart
\tsunny
\tswanky-purse
\ttrontastic (not used)
\tui-darkness
\tui-lightness (not used)
\tvader
\tredmond -> original
*/

/*
\tTODO :
\t* remove extra color for MEPG Timer
\t* optimize marker
\t* optimize config color
*/

''')
        if not VFFSL(SL,"theme",True): # generated from line 40, col 1
            theme = "original"
        write(u'''
''')
        if VFFSL(SL,"theme",True) == "south-street" or VFFSL(SL,"theme",True) == "smoothness" or VFFSL(SL,"theme",True) == "cupertino" or VFFSL(SL,"theme",True) == "mint-choc" or VFFSL(SL,"theme",True) == "ui-darkness" or VFFSL(SL,"theme",True) == "vader" or VFFSL(SL,"theme",True) == "eggplant" or VFFSL(SL,"theme",True) == "start" or VFFSL(SL,"theme",True) == "le-frog" or VFFSL(SL,"theme",True) == "dark-hive" or VFFSL(SL,"theme",True) == "humanity" or VFFSL(SL,"theme",True) == "flick" or VFFSL(SL,"theme",True) == "sunny": # generated from line 44, col 1
            write(u'''.tm_row{ background-image: none!important;}
body { background-image:none !important;}
''')
        write(u'''
''')
        if VFFSL(SL,"theme",True) == "vader" or VFFSL(SL,"theme",True) == "dark-hive" or VFFSL(SL,"theme",True) == "dot-luv" or VFFSL(SL,"theme",True) == "eggplant" or VFFSL(SL,"theme",True) == "le-frog" or VFFSL(SL,"theme",True) == "mint-choc" or VFFSL(SL,"theme",True) == "ui-darkness": # generated from line 49, col 1
            write(u'''.marker { color: #FFF;}
''')
        write(u'''
''')
        if VFFSL(SL,"theme",True) == "dark-hive": # generated from line 53, col 1
            write(u'''.cht .fr {background-color:rgba(38, 179, 247, 0.3);}
''')
        write(u'''
''')
        if VFFSL(SL,"theme",True) == "original": # generated from line 57, col 1
            write(u'''
body {
\tbackground: #1C478E;
\tbackground-image:url(../images/background.png);
\tbackground-repeat:repeat-x;
\tcolor: #061C37;
}

#header h2,#osd_bottom
{
\tcolor:#A9D1FA;
}

#content a,#leftmenu_main a,#leftmenu_main ul li
{
\tcolor: #176093;
}

#info h3, #leftmenu_main, #leftmenu,#leftmenu_top,#toolbar-header
{
\t-moz-border-radius: 5px; -webkit-border-radius: 5px; -khtml-border-radius: 5px; border-radius: 5px;
}

#leftmenu_main
{
\tborder: 1px solid #a6c9e2;
\tbackground: #fcfdfd; /*url(../images/ui-bg_inset-hard_100_fcfdfd_1x100.png) 50% bottom repeat-x;*/
\tcolor: #061C37;
}

#leftmenu_main h3
{
\tcolor: #6cb2e4;
\tborder-bottom: 1px solid #d7edfc;
}

#leftmenu_main ul li a:hover
{
\tcolor:#87BCF8;
}

#leftmenu
{
\tborder: 2px solid #176093;
\toutline: 0 none;
\t-moz-outline-style: 0 none;
}

#leftmenu_top
{
\tcolor: #fff;
\tfont-weight: bold;
}

#toolbar-header
{
\tborder: 1px solid #4297d7;
\tcolor: #fff;
}

table .tcurrent
{
\tbackground: #1C478E;
}

#dcurrent {background-image:url(../images/osd/osd_back.png);color: #FFF;}

#header { background : none;}

#content_main
{
\tbackground-color:#FFF;
\tborder: 2px solid #176093;
}

.cht .fr , .tcurrent tr, #leftmenu, .tm_row{
\tbackground-color: #F0F7FC;
}

#currenttuners span
{
\tcolor:#f90;
}

#spinner,#spinner1
{
\tcolor:#1c478e;
}

#footer h3 a,#footer h3 a:visited
{
\tcolor:#7198E1;
}

#osd, #dcurrent a { color: #fff;}
.osdch { color:#EA7409;}
.station { color:#fff; background-color: #1c47ae;}

#tbl1 .title { color:#061c37;}
#tbl1 .desc { color:#176093;}
#tbl1 .border { border-right: 1px solid #4297d7;}

#header span.ui-state-active {color:#67A0F5;}

.tm_row { border: 1px solid #F0F7FC;}
.tm_title {color: #176093;}
.tm_desc {color: #7F8181; }

.tm_row { background-image:none !important; }
.tm_row:hover { border: 1px dotted #4297D7;}

.marker { color: #00c;}

''')
        else: # generated from line 171, col 1
            write(u'''
#leftmenu_main ul li a:hover { background-color: rgba(0,0,0,.1); }
#tbl1 .border { border-right: 1px solid;}

''')
        write(u'''
''')
        if VFFSL(SL,"theme",True) == "clear": # generated from line 178, col 1
            write(u''':focus, :active {
  outline: 0;
}
.ui-widget-header { background: #363636;}
.ui-widget-header a { color : #000;}
#header {
    height: 100px;
}
#header h1 {
    font-size: 22px;
    margin: 15px 10px 0 8px;
}
#header h2 {
    font-size: 12px;
    margin-top: 18px;
}
#osd {
    margin-top: 5px;
    height: auto;
}
#osd_status {
    margin-top: 10px;
}
#osd_bottom {
    margin-left: 40px;
}
.cht:nth-child(even) {
    background-color: #fff;
}
.cht:nth-child(odd) {
    background-color: #f2f2f2;
}
.cht .fr {
    position: relative;
    font-size: 12px;
    height: 22px;
    background-color: transparent;
}
.cht .fr * {
    margin: 0;
}
.cht .fr .a {
    position: absolute;
    left: 150px;
}
.cht .fr .b {
    position: absolute;
    left: 0;
    font-size: 11px;
    text-align: center;
    white-space: nowrap;
    overflow: hidden;
}
.cht .fr .a,
.cht .fr .b,
.cht .channel-picon {
    width: 130px;
}
.cht .fr .a,
.cht .fr .b {
\tpadding: 5px 10px 2px 10px;
}
.cht .fr .b a:first-child {
    padding-right: 10px;
}
.cht .channel-picon {
    text-align: center;
}
.cht .channel-info {
    padding: 5px 10px 8px 10px;
}
.cht .channel-info .a {
    font-style: italic;
    font-size: 11px;
}
.cht .channel-info .b {
    font-style: normal;
    font-weight: bold;
}
.cht .ui-progressbar {
    width: 80px;
}
.cht .channel-info .ui-progressbar-value {
    background-color: #79b7e7 !important;
}
#toolbar *,
#accordion * {
    color: #363636 !important;
}
.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default, .ui-button, html .ui-button.ui-state-disabled:hover, html .ui-button.ui-state-disabled:active {
    border: 1px solid #8e8e93;
}
.ui-widget-header,
.ui-widget-content,
.ui-state-active, .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active, a.ui-button:active, .ui-button:active, .ui-button.ui-state-active:hover {
    border: 1px solid #363636;
}
#footer a {
    color: #fff;
}
''')
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_40030636
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_css= 'respond'

## END CLASS DEFINITION

if not hasattr(css, '_initCheetahAttributes'):
    templateAPIClass = getattr(css, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(css)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=css()).run()


